<div *ngIf="info.token; else loggedOut">
  <div class="row">
    <div
      class="col-3"
      style="
        float: left;
        position: fixed;
        overscroll-behavior: none;
        height: 100%;
        background: rgba(255, 255, 255, 0.13);
        border-radius: 16px;
        align-items: center;
        box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
        backdrop-filter: blur(2.6px);
        -webkit-backdrop-filter: blur(2.6px);
        border: 1px solid rgba(255, 255, 255, 0.14);
      "
    >
      <div class="row" style="text-align: center; margin-top: 25%">
        <h1 id="time">{{ dateTime | date: "HH:mm" }}</h1>
        <h2 id="date">{{ dateTime | date: " d MMM y" }}</h2>
      </div>

      <div class="row" style="text-align: center">
        <div *ngFor="let weather of _weathers">
          <!--<canvas id="icon1" width="200" height="200" style="margin-left:40% ; "></canvas>-->
          <div
            *ngIf="weather.weather_description.includes(couvert)"
            style="margin-left: 40%"
            icon="cloudySun"
          >
            <span class="sun"></span>
            <span class="cloud"></span>
            <span class="cloud"></span>
          </div>

              <div
            *ngIf="weather.weather_description.includes(nuageux)"
            style="margin-left: 40%"
            icon="cloudySun"
          >
            <span class="sun"></span>
            <span class="cloud"></span>
            <span class="cloud"></span>
          </div>


          <div
            *ngIf="weather.weather_description.includes(degage)"
            style="margin-left: 40%"
            icon="sunny"
          >
            <span class="sun"></span>
          </div>

          <div
            *ngIf="weather.weather_description.includes(pluie)"
            style="margin-left: 40%"
            icon="rainy"
          >
            <span class="cloud"></span>
            <ul>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
            </ul>
          </div>

          <div
            *ngIf="weather.weather_description.includes(neige)"
            style="margin-left: 40%"
            icon="snowy"
          >
            <span class="snowman"></span>
            <ul>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
            </ul>
          </div>

          <div
            *ngIf="weather.weather_description.includes(orage)"
            style="margin-left: 40%"
            icon="stormy"
          >
            <span class="cloud"></span>
            <ul>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
              <li></li>
            </ul>
          </div>
        </div>
      </div>

      <div
        class="row"
        style="text-align: center"
        *ngFor="let weather of _weathers"
      >
        <div>
          <!--<img src="assets/img/thermometreB.png" style="width:100px; height:100px; margin-right:70%"/>-->
          <p id="temp">{{ weather.temperature }}°C</p>
        </div>
      </div>

      <div class="row" style="text-align: center; margin: 50px">
        <div *ngFor="let weather of _weathers" style="text-align: center">
          <p id="introduction">
            Il fait {{ weather.temperature }} degrés et le temps est
            {{ weather.weather_description }} à {{ weather.name }} !
          </p>
        </div>
      </div>
    </div>

    <div class="col-9" style="overflow: auto; margin-left: 26%">
      <div class="row">
        <app-login-icon></app-login-icon>
      </div>
      <div class="row" style="text-align: center; margin: 50px">
        <h3 class="title">Que veux-tu faire aujourd'hui ?</h3>
      </div>

      <div class="row" style="margin-bottom: 50px; margin-left: 10%;">
        <div class="col-3">
          <form>
            <div class="select animated zoomIn" tabindex="1">
              <input
                class="selectopt"
                name="test"
                type="radio"
                id="opt1"
                checked
              />
              <label for="opt1" class="optionSelect">Type de prix</label>
              <input
                class="selectopt"
                name="test"
                type="radio"
                id="opt2"
                (change)="getNotFreeEvents()"
              />
              <label for="opt2" class="optionSelect">Payant</label>
              <input
                class="selectopt"
                name="test"
                type="radio"
                id="opt3"
                (change)="getFreeEvents()"
              />
              <label for="opt3" class="optionSelect">Gratuit</label>
            </div>
          </form>
        </div>

        <div class="col-6">
          <form action="" class="search-bar">
            <input
              type="search"
              name="search"
              pattern=".*\S.*"
              [(ngModel)]="searchText"
              required
            />
            <button class="search-btn" type="submit">
              <span>Search</span>
            </button>
          </form>
        </div>

        <div class="col-3">
          <form>
            <div class="select animated zoomIn" tabindex="1">
              <input
                class="selectopt"
                name="test"
                type="radio"
                id="opt1"
                checked
              />
              <label for="opt1" class="optionSelect">Catégorie</label>
              <input
                class="selectopt"
                name="test"
                type="radio"
                id="opt2"
                (change)="getEventsSport()"
              />
              <label for="opt2" class="optionSelect">Sport</label>
              <input
                class="selectopt"
                name="test"
                type="radio"
                id="opt3"
                (change)="getEventsCinema()"
              />
              <label for="opt3" class="optionSelect">Cinéma</label>
              <input
                class="selectopt"
                name="test"
                type="radio"
                id="opt4"
                (change)="getEventsMusique()"
              />
              <label for="opt4" class="optionSelect">Musique</label>
              <input
                class="selectopt"
                name="test"
                type="radio"
                id="opt5"
                (change)="getEventsDanse()"
              />
              <label for="opt5" class="optionSelect">Danse</label>
              <input
                class="selectopt"
                name="test"
                type="radio"
                id="opt6"
                (change)="getEventsTheatre()"
              />
              <label for="opt6" class="optionSelect">Théâtre</label>
              <input
                class="selectopt"
                name="test"
                type="radio"
                id="opt7"
                (change)="getEventsBalade()"
              />
              <label for="opt7" class="optionSelect">Balade</label>
              <input
                class="selectopt"
                name="test"
                type="radio"
                id="opt8"
                (change)="getEventsAtelier()"
              />
              <label for="opt8" class="optionSelect">Atelier</label>
            </div>
          </form>
        </div>
      </div>

      <div class="row cardContainer">
        <div class="horizontal-scroll-wrapper" appHorizontalScroll>
          <table class="table">
            <tbody>
              <td
                *ngFor="let event of eventFiltered | filter: searchText"
                style="width: 500px"
              >
                <li>
                  <a href="/event/{{ event.id }}" class="card">
                    <div style="object-fit: cover">
                      <img src="{{ event.image }}" class="card__image" alt="" />
                    </div>
                    <div class="card__overlay">
                      <div class="card__header">
                        <svg
                          class="card__arc"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <path />
                        </svg>
                        <img
                          *ngIf="event.priceType.includes(payant)"
                          class="card__thumb"
                          src="assets/img/notFree.png"
                          alt=""
                        />
                        <img
                          *ngIf="event.priceType.includes(gratuit)"
                          class="card__thumb"
                          src="assets/img/free.png"
                          alt=""
                        />
                        <div class="card__header-text">
                          <h3 class="card__title">{{ event.title }}</h3>
                          <span class="card__status">{{ event.zip }} </span>
                        </div>
                      </div>
                      <p class="card__description">{{ event.place }}</p>
                    </div>
                  </a>
                </li>
              </td>
            </tbody>
          </table>
        </div>
      </div>

      <div class="row cardContainer">
        <div>
          <table class="table">
            <tbody>
              <td
                *ngFor="let activity of activitiesFiltered | filter: searchText"
                style="width: 500px"
              >
                <li>
                  <a href="/activity/{{ activity.id }}" class="card">
                    <div style="object-fit: cover">
                      <img
                        src="{{ activity.image }}"
                        class="card__image"
                        alt=""
                      />
                    </div>
                    <div class="card__overlay">
                      <div class="card__header">
                        <svg
                          class="card__arc"
                          xmlns="http://www.w3.org/2000/svg"
                        >
                          <path />
                        </svg>
                        <div class="card__header-text">
                          <h3 class="card__title">{{ activity.name }}</h3>
                          <span class="card__status"></span>
                        </div>
                      </div>
                      <p class="card__description">
                        {{ activity.descriptionCourte }}
                      </p>
                    </div>
                  </a>
                </li>
              </td>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>

  <div class="row" style="height: 300px"></div>
</div>

<ng-template #loggedOut>
  <div style="text-align: center">
    <h1 id="loggedOutMess" class="animate__animated animate__zoomIn">
      Inscris-toi ou connectes-toi <br />pour profiter de toutes les
      fonctionnalités<br />
      de MOOD !
    </h1>
    <a
      id="loggedOutLink"
      class="animate__animated animate__bounceInUp animate__delay-1s"
      href="/sign-in"
      >Cliques ici !</a
    >
  </div>
</ng-template>
